# KillTrack

## [v2.15.0-8-gf4affe1](https://github.com/SharpWoW/KillTrack/tree/f4affe1e0e41d199d740819942b718c9a8cc6765) (2020-10-25)
[Full Changelog](https://github.com/SharpWoW/KillTrack/compare/v2.15.0...f4affe1e0e41d199d740819942b718c9a8cc6765) [Previous Releases](https://github.com/SharpWoW/KillTrack/releases)

- Remove old archive script  
- Replace tabs with spaces  
- Update copyright year  
- Fix bug with game menu  
    When calling `ShowUIPanel(InterfaceOptionsFrame)` and then closing out  
    of the interface options, the game menu can no longer be opened by  
    pressing the ESC key, forcing a reload of the UI to fix it. (Opening it  
    with the button in the micromenu also works to make it unstuck.)  
    Change the behaviour of the options helper to instead open to the  
    KillTrack options with the old workaround of calling  
    InterfaceOptionsFrame\_OpenToCategory twice.  
- Improve performance of AddKill function  
    Previously, every time a call was made to AddKill, it would return the  
    resulting state of the mob by use of GetKill. GetKill iterates *all*  
    mobs in KillTrack's database to find the requested mob. This means,  
    every time a kill is added, the mob database is iterated.  
    In situations with a large of deaths occurring, like in a raid, this  
    could lead to degraded performance.  
    Instead, the code now simply grabs the mob data directly from the  
    saved variables table with the ID, so no iteration is needed.  
- Rewrite timer frame in pure Lua  
- Ignore IntelliJ IDEA files  
- Fix indentation  
